input[type="range"]
{
    background-color: #00880088;
    border-radius: 10px;
}

.audio.item.sample.container
{
    width: 100%;
    height: 100%;

    box-sizing: border-box;
}

.audio.item.source
{
    position: relative;

    width: 100%;
    height: 66%;

    box-sizing: border-box;

    background-color: #228822cc;

    border: 3px solid #228822;
}

.audio.item.source:hover
{
    cursor: pointer;
}

.audio.item.container:not(.on) .audio.item.progression.animation
{
    display: none;
}

.audio.item.container .audio.item.progression.animation
{
    display: block;

    position: absolute;

    height: 100%;

    background-color: #00000060;

    pointer-events: none;
}

.audio.item.sample.container .audio.item.source:hover
{
    background-color: #228822;
}

.audio.item.container .audio.item.source .item.key.cue
{
    position: absolute;
}

.audio.item.container .item.control.button
{
    position: relative;

    width: 100%;
    height: 33%;

    background-color: #116611bb;
}

.audio.item.container .item.control.button:hover
{
    cursor: pointer;

    background-color: #228822ee;
}

/* .audio.item.container .item.control.button>img
{
    position: absolute;

    max-width: 100%;
    max-height: 100%;
} */

.item.control.container
{
    position: absolute;

    z-index: 2;

    box-sizing: border-box;

    width: 200px;
    height: 100px;

    border: 2px solid #008800ee;

    background-color: #224422dd;

    white-space: nowrap;
    overflow-x: hidden;

    color: #00ff00;
}

.item.control.container .item.control.button:hover
{
    cursor: pointer;
}

.item.control.container .item.control.button.close
{
    display: block;

    position: absolute;

    left: 85%;
    top: 0%;

    box-sizing: border-box;

    width: 15%;
    height: 32%;

    border: 2px solid #aa000088;

    background-color: #88000088;

    color: #ff0000;
    font-family: sans-serif, serif;
    font-size: 0.9em;
    text-align: center;
}

.item.control.container .item.control.button.close:hover
{
    opacity: 0.5;
}

.item.control.container>span
{
    display: block;

    margin-left: 5%;

    width: 80%;
    height: 50%;

    white-space: nowrap;

    overflow: hidden;

    font-family: sans-serif;
    font-size: 0.90em;
}

.item.control.container>input[type="range"]
{
    position: absolute;

    top: 70%;

    display: block;

    width: 90%;
}

.item.control.container .item.control.button.solo
{
    position: absolute;

    top: 33%;
    left: 5%;

    box-sizing: border-box;

    width: 24%;
    height: 25%;

    font-size: 0.90em;
    text-align: center;

    border: 1px solid #00dd00dd;
    background-color: #00880088;
}

.item.control.container .item.control.button.solo:hover
{
    border: 1px solid #00ee00dd;
    background-color: #00aa0088;
}

.item.control.container .item.control.button.solo.checked
{
    border: 1px solid #00ff00dd;
    background-color: #00ff0088;
}
